/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010. Alexey Rusakovich <mailto:exp_sm@yahoo.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ide;

import java.awt.BorderLayout;
import java.awt.Component;
import javax.swing.JPanel;

public class GameEnvPanel extends JPanel {

    private static final long serialVersionUID = 1L;
    private Component mainComponent = null;

    public GameEnvPanel() {
        super(new BorderLayout());
    }

    public void setComponent(Component component) {
        if (mainComponent != null) {
            remove(mainComponent);
        }
        if (component != null) {
            add(component, BorderLayout.CENTER);
        }

        mainComponent = component;
    }
}